#!/bin/bash

ulimit -n 16384

for i in "$@"
do
case $i in
    --accessibility=*)
    if [[ ${i#*=} = true ]]; then
        export QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
    fi
    ;;

    --linuxfb=*)
    if [[ ${i#*=} = true ]]; then
        export QT_QPA_PLATFORM=linuxfb:fb=/dev/fb0
    fi
    ;;
esac
done

cd $(dirname $0)/bin

for PID in $(pidof BCSService); do
    kill  $PID
done

export LD_LIBRARY_PATH=../lib:../lib/dahua:../lib/ffmpeg:../lib/hikvision:../lib/hikvision/HCNetSDKCom:../lib/qt:../lib/opencv-4.5.2
./BCSService -exec &
./cms

# Podczas restartu aplikacji uruchamiana jest nowa detached instancja.
# Dlatego skrypt musi sprawdzać, czy działa jakikolwiek proces o nazwie cms.
sleep 1
while p=$(pidof cms); do
    sleep 1
done

echo "BCS Manager has finished. Bye."
