#!/bin/bash

INSTALL_DIR=/opt/bcsm

export NEWT_COLORS='root=,blue'

while
    while
        mode=$(whiptail \
            --title "BCS Manager" \
            --nocancel \
            --menu "Proszę wybrać tryb instalacji." 11 50 3 \
                "standalone" "Zwykła instalacja" \
            3>&1 1>&2 2>&3)
    [ $? != 0 ]
    do :; done

    case $mode in
        standalone)
            echo "Zwykła instalacja..."
            ln -srf $INSTALL_DIR/lib/libSettingsFormatIni/libSettingsFormat.so* $INSTALL_DIR/lib
            ln -srf $INSTALL_DIR/bin/service/BCSService $INSTALL_DIR/bin
        ;;

        *)
            echo "$HELP"
            exit 1
        ;;
    esac
false
do :; done

exit 0

echo "Instalacja i uruchomienie usługi BCSService..."
chmod o-x $INSTALL_DIR/bin/BCSService
mkdir -p /root/.config/BCSManager
systemctl daemon-reload
systemctl stop BCSService
systemctl enable BCSService
systemctl start BCSService
systemctl status BCSService
